Syspatch : libressl (x509) (27/09/2021)

Correctif OpenBSD: libressl (x509)

Correctif de sécurité : libressl (x509)

Une erreur de type stack overrread (surcharge de lecture de la stack) peut se produire durant la vérification des restrictions de noms pour X.509.

  • Architectures ciblées : toutes les architectures supportées par le projet OpenBSD.

Pour toutes les architectures supportées :

  • amd64, arm64, i386 par syspatch
  • armv7, hppa, landisk, loongson, luna88k, macppc, sparc64 par recompilation

Syspatch

Cette étape ne concerne que les architectures amd64, arm64, i386.

1
# syspatch

Ensuite redémarrez le service unwind, si utilisé.

Recompilation

Pour toute autre architecture prise en charge par le projet OpenBSD, voici les étapes de recompilation nécessaires :

⇒ Après avoir téléchargé le correctif, vérifiez-le, et appliquez-le :

  • pour 6.9
1
2
3
# wget https://ftp.openbsd.org/pub/OpenBSD/patches/6.9/common/017_x509.patch.sig
# signify -Vep /etc/signify/openbsd-69-base.pub -x 017_x509.patch.sig \
        -m - | (cd /usr/src && patch -p0)
  • pour 6.8
1
2
3
# wget https://ftp.openbsd.org/pub/OpenBSD/patches/6.8/common/031_x509.patch.sig
# signify -Vep /etc/signify/openbsd-68-base.pub -x 031_x509.patch.sig \
        -m - | (cd /usr/src && patch -p0)

⇒ la phase de recompilation :

  • pour 6.9
1
2
3
4
5
6
7
8
9
$ cd /usr/src/lib/libcrypto
# make obj
# make includes
# make
# make install
$ cd /usr/src/sbin/unwind
# make obj
# make
# make install
  • pour 6.8
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
$ cd /usr/src/lib/libcrypto
# make obj
# make includes
# make
# make install
$ cd /usr/src/sbin/isakmpd
# make obj
# make
# make install
$ cd /usr/src/sbin/unwind
# make obj
# make
# make install

Ensuite redémarrez les services nécessaires, si utilisés.

Restart

  • le service isakmpd est à redémarrer, si utilisé, sur 6.8
  • le service unwind est à redémarrer sur les deux versions, si utilisé.
1
2
# rcctl restart isakmpd
# rcctl restart unwind

Documentations

Plus d’informations sur les pages d’Errata 6.9 et 6.8…
et leurs versions FR respectives : 6.9 FR et 6.8 FR.


updatedupdated2021-11-042021-11-04